org.apache.ignite.ml.optimization.updatecalculators

## Class NesterovParameterUpdate

- java.lang.Object
- - org.apache.ignite.ml.optimization.updatecalculators.NesterovParameterUpdate

- All Implemented Interfaces:
    Serializable

      public class NesterovParameterUpdate
      extends Object
      implements Serializable

  Data needed for Nesterov parameters updater.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Vector` | `prevIterationUpdates` Previous step weights updates.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NesterovParameterUpdate(int paramsCnt)` Construct NesterovParameterUpdate.
    `NesterovParameterUpdate(Vector prevIterationUpdates)` Construct NesterovParameterUpdate.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NesterovParameterUpdate` | `avg(List<NesterovParameterUpdate> parameters)` Get average of parameters updates.
    `Vector` | `prevIterationUpdates()` Get previous step parameters updates.
    `NesterovParameterUpdate` | `setPreviousUpdates(Vector updates)` Set previous step parameters updates.
    `static NesterovParameterUpdate` | `sum(List<NesterovParameterUpdate> parameters)` Get sum of parameters updates.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### prevIterationUpdates

          protected Vector prevIterationUpdates

      Previous step weights updates.

  - ### Constructor Detail

    - #### NesterovParameterUpdate

          public NesterovParameterUpdate(int paramsCnt)

      Construct NesterovParameterUpdate.
      Parameters:
        `paramsCnt` - Count of parameters on which updateCache happens.

    - #### NesterovParameterUpdate

          public NesterovParameterUpdate(Vector prevIterationUpdates)

      Construct NesterovParameterUpdate.
      Parameters:
        `prevIterationUpdates` - Previous iteration updates.

  - ### Method Detail

    - #### setPreviousUpdates

          public NesterovParameterUpdate setPreviousUpdates(Vector updates)

      Set previous step parameters updates.
      Parameters:
        `updates` - Parameters updates.
      Returns:
        This object with updated parameters updates.

    - #### prevIterationUpdates

          public Vector prevIterationUpdates()

      Get previous step parameters updates.
      Returns:
        Previous step parameters updates.

    - #### sum

          public static NesterovParameterUpdate sum(List<NesterovParameterUpdate> parameters)

      Get sum of parameters updates.
      Parameters:
        `parameters` - Parameters to sum.
      Returns:
        Sum of parameters updates.

    - #### avg

          public static NesterovParameterUpdate avg(List<NesterovParameterUpdate> parameters)

      Get average of parameters updates.
      Parameters:
        `parameters` - Parameters to average.
      Returns:
        Average of parameters updates.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020